package com.bb.service;

import java.util.HashMap;
import java.util.List;

import org.codehaus.jettison.json.JSONException;
import org.codehaus.jettison.json.JSONObject;

import com.bb.model.BetParam;
import com.bb.model.NexusApiInfo;
import com.bb.model.TransSearchVO;

public interface TransService {

	int getTransBetListCnt(TransSearchVO search);

	List<HashMap<String, Object>> getTransBetList(TransSearchVO search);
	
	HashMap<String, Object> getTransBetListSum(TransSearchVO search);
	
	int getTransBetFastListCnt(TransSearchVO search);

	List<HashMap<String, String>> getTransBetFastList(TransSearchVO search);

	HashMap<String, Object> getBetListItem(TransSearchVO search);
	
	HashMap<String, String> getTransBetFastListSum(TransSearchVO search);

	HashMap getBetInfoByBetId(BetParam param);

	String getGsoftRoundIdByBetId(String betId);

	JSONObject getInfinitiBetDetail(String LOG_PREFIX, String apiBaseUrl, JSONObject bodyObj);

	JSONObject getNexusBetDetail(String LOG_PREFIX, NexusApiInfo nexusApiInfo, String trxId);

	JSONObject getNexusBetDetailUrl(String LOG_PREFIX, NexusApiInfo nexusApiInfo, String trxId);

	HashMap getSiteBetByRefIdFromOld(BetParam param);

	JSONObject getSvendorDetail(String LOG_PREFIX, HashMap betInfo) throws JSONException;

	HashMap<String, String> getApiInfo(String vendorTitle);

	int deleteEvoDetailNull(HashMap detailMap);

	JSONObject getCncpDetailsById(String LOG_PREFIX, HashMap<String, Object> apiInfo);
	
	JSONObject getDetailByBetId(String LOG_PREFIX, HashMap<String, Object> apiInfo);

	JSONObject getPracpDetail(String LOG_PREFIX, HashMap<String, String> apiInfo);

	String getTplusDetails(String LOG_PREFIX, HashMap<String, String> apiInfo);
	
	String getPragmaticDetails(String lOG_PREFIX, HashMap betInfo);

}
